Bug 689672

Summary: Guests do not start after upgrading qemu to 0.13
Product: [Fedora] Fedora Reporter: Vladislav Bogdanov <bubble>
Component: qemuAssignee: Justin M. Forbes <jforbes>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 13CC: amit.shah, berrange, dwmw2, ehabkost, gcosta, itamar, jaswinder, jforbes, knoel, markmc, ondrejj, scottt.tw, virt-maint, walkerrichardj
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-06-27 07:57:17 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Vladislav Bogdanov 2011-03-22 00:59:11 EDT
Description of problem:
After updating qemu to 0.13 on x86_64 f13 host, all f14 i686 guests do not start. Symptoms are very similar to bz#649333, but with difference that versions of fedora are swapped (13 <-> 14).

Version-Release number of selected component (if applicable):
kernel-2.6.34.8-68.fc13.x86_64.rpm
qemu-common-0.13.0-1.fc13.x86_64.rpm
qemu-system-x86-0.13.0-1.fc13.x86_64.rpm

How reproducible:
100%

Steps to Reproduce:
1. Downgrade qemu-common and qemu-system-x86 to previous 0.12.5
2. install Fedora 14 guest
3. Upgrade qemu-common and qemu-system-x86 to previous 0.13.0
2. remove "rhgb quiet" from guest kernel parameters
3. boot guest
  
Actual results:
Probing EDD (edd=off to disable)... ok
Guest system then stops booting but eats CPU.

Expected results:


Additional info:
Centos5 guests and anaconda installation of f13 guest run just fine.
Comment 1 Bug Zapper 2011-05-30 06:55:08 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Richard Walker 2011-06-20 20:34:30 EDT
"Me too" (running F14 guests on an F13 host that has subsequently
been upgraded to QEMU 0.13),
and I had to downgrade to the 0.12.5-1 packages
(which were very hard to find).

Can anyone with this problem confirm if upgrading the
host OS to F14 fixes this?
Comment 3 Justin M. Forbes 2011-06-21 09:34:49 EDT
Can you post the command line used to start this guest?
Comment 4 Vladislav Bogdanov 2011-06-21 10:31:41 EDT
/usr/bin/qemu-kvm -S -M fedora-13 -cpu qemu32 -enable-kvm -m 1024 -mem-prealloc -mem-path /dev/hugepages/libvirt/qemu -smp 2,sockets=2,cores=1,threads=1 -name git -uuid a822d6c7-025e-c251-c5dc-0ab5d98fa4a5 -nodefaults -chardev socket,id=charmonitor,path=/var/lib/libvirt/qemu/git.monitor,server,nowait -mon chardev=charmonitor,id=monitor,mode=readline -rtc base=utc -boot c -drive file=/dev/VG_POOL_1/git_disk0,if=none,id=drive-virtio-disk0,boot=on,format=raw -device virtio-blk-pci,bus=pci.0,addr=0x3,drive=drive-virtio-disk0,id=virtio-disk0 -device virtio-net-pci,vlan=0,id=net0,mac=00:16:3e:8f:a4:a5,bus=pci.0,addr=0x4 -net tap,fd=26,vlan=0,name=hostnet0 -chardev pty,id=charserial0 -device isa-serial,chardev=charserial0,id=serial0 -usb -vnc 0.0.0.0:2 -k en-us -vga cirrus -device i6300esb,id=watchdog0,bus=pci.0,addr=0x6 -watchdog-action reset -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x5
Comment 5 Bug Zapper 2011-06-27 07:57:17 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.